Bug 1981998 - vim-jedi cannot search inside modules installed outside stdlib
Summary: vim-jedi cannot search inside modules installed outside stdlib
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim-jedi
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-13 23:14 UTC by Martin Jackson
Modified: 2021-10-29 22:51 UTC (History)
1 user (show)

Fixed In Version: vim-jedi-0.11.0-2.fc36 vim-jedi-0.11.0-2.fc33 vim-jedi-0.11.0-2.fc34 vim-jedi-0.11.0-2.fc35
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-27 12:06:59 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Martin Jackson 2021-07-13 23:14:23 UTC
Description of problem:
vim-jedi can complete for modules in stdlib (ex. os, sys) but not those installed from other packages (e.g. requests, YAML); searching in these modules fails with an error: -- Omni completion (^O^N^P) Pattern not found


Version-Release number of selected component (if applicable): 0.9.0-9.fc34


How reproducible: Always


Steps to Reproduce:
1. Create a Python file, add two imports (one from a stdlib, one from a module outside stdlib, such as YAML or requests; if necessary install one of these from the Fedora repo)
2. Create the necessary imports for the modules and save the file
3. Use vim-jedi to try its autocompletion

Actual results:

Autocompletion fails with an error for non-stdlib modules

Expected results:

Autocompletion works for all installed modules

Additional info:

Comment 1 Fedora Update System 2021-09-27 12:04:17 UTC
FEDORA-2021-9afc52a8a3 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9afc52a8a3

Comment 2 Fedora Update System 2021-09-27 12:06:59 UTC
FEDORA-2021-9afc52a8a3 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2021-09-27 12:13:04 UTC
FEDORA-2021-b30d1b35d8 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b30d1b35d8

Comment 4 Fedora Update System 2021-09-27 12:13:21 UTC
FEDORA-2021-a53d18d182 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a53d18d182

Comment 5 Fedora Update System 2021-09-27 12:32:17 UTC
FEDORA-2021-241577f1ea has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-241577f1ea

Comment 6 Fedora Update System 2021-09-29 02:04:57 UTC
FEDORA-2021-241577f1ea has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-241577f1ea`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-241577f1ea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-09-29 02:11:05 UTC
FEDORA-2021-b30d1b35d8 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b30d1b35d8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b30d1b35d8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-09-29 02:23:05 UTC
FEDORA-2021-a53d18d182 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a53d18d182`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a53d18d182

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-10-06 16:53:31 UTC
FEDORA-2021-241577f1ea has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-10-06 17:47:06 UTC
FEDORA-2021-a53d18d182 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-10-29 22:51:11 UTC
FEDORA-2021-b30d1b35d8 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.